Skip to content
Get Started

Send a typing indicator

POST/api/send-typing-indicator

Send an indication that you are typing to a user. This shows up as the animated three dots on the recipient’s device. Not supported in group chats.

Body ParametersJSONExpand Collapse
from_number: string

The Sendblue phone number you want to send the typing indicator from (E.164 format). This should be the number you use to send messages.

number: string

The number you want to send a typing indicator to (E.164 format)

max_duration_ms: optional number

Optional maximum duration for a start indicator, in milliseconds.

minimum1
maximum300000
state: optional "start" or "stop"

Optional typing state. Defaults to a start indicator when omitted.

One of the following:
"start"
"stop"
ReturnsExpand Collapse
error_message: optional string

The error message if the status is ERROR

number: optional string

The number you evaluated in E.164 format

status: optional "SENT" or "ERROR"

The status of the typing indicator you tried to send

One of the following:
"SENT"
"ERROR"

Send a typing indicator

curl https://api.sendblue.co/api/send-typing-indicator \
    -H 'Content-Type: application/json' \
    -H "sb-api-key-id: $SENDBLUE_API_API_KEY" \
    -H "sb-api-secret-key: $SENDBLUE_API_API_SECRET" \
    -d '{
          "from_number": "+16292925296",
          "number": "+19998887777",
          "max_duration_ms": 120000,
          "state": "start"
        }'
{
  "error_message": null,
  "number": "+19998887777",
  "status": "SENT"
}
Returns Examples
{
  "error_message": null,
  "number": "+19998887777",
  "status": "SENT"
}